Redmine - Patch #19296

Include custom fields description in project settings and issue view

2015-03-06 15:45 - Sebastian Paluch

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 3.1.0

Description

This is additional patch for #15699 and #4637 showing custom field
editing).

Tested on trunk@14045.

Please include soon.

description in project settings and issue overview (not only while

Related issues:

Related to Redmine - Feature #4637: add field description/instructions
Related to Redmine - Feature #15699: Description for custom fields
Related to Redmine - Defect #20633: Help cursor showing up since r14154
Has duplicate Redmine - Feature #12333: [enhancement] add tips for fields

Closed 2010-01-23
Closed
Closed
Closed

Associated revisions

Revision 14154 - 2015-03-21 11:24 - Jean-Philippe Lang

Include custom fields description in project settings and issue view (#19296).

Patch by Sebastian Paluch.

History

#1 - 2015-03-07 04:09 - Go MAEDA

- File screenshot-cf-edit.png added

- File screenshot-issue-new.png added
| tried the patch. Looks nice.

set description:
screenshot-cf-edit.png

description can be seen on mouseover:
screenshot-issue-new.png

#2 - 2015-03-07 04:10 - Go MAEDA
- Related to Feature #4637: add field description/instructions added

#3 - 2015-03-07 04:15 - Go MAEDA

Sorry, the feature | tried on #19296#note-1 is not a feature that the patch implements.

I'll retry.

#4 - 2015-03-07 04:16 - Go MAEDA

- File deleted (screenshot-issue-new.png)

#5 - 2015-03-07 04:16 - Go MAEDA
- File deleted (screenshot-cf-edit.png)

#6 - 2015-03-07 04:17 - Go MAEDA
- Related to Feature #15699: Description for custom fields added
https://www.redmine.org/issues/15699
https://www.redmine.org/issues/4637
https://www.redmine.org/issues/19296#note-1

#7 - 2015-03-07 04:28 - Go MAEDA
- File projects-settings.png added

| tried the patch.
Description can be seen on /projects/*/settings screen.
#8 - 2015-03-15 11:18 - Jean-Philippe Lang

- Subject changed from Description for custom fields to Include custom fields description in project settings and issue view

- Target version set to 3.1.0

#9 - 2015-03-21 11:25 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Patch committed in r14154 with slight changes, thanks.

#10 - 2015-09-11 08:54 - Toshi MARUYAMA
- Related to Defect #20633: Help cursor showing up since r14154 added

#11 - 2020-07-19 04:09 - Go MAEDA
- Has duplicate Feature #12333: [enhancement] add tips for fields added

Files

4637.patch 2.89 KB 2015-03-06 Sebastian Paluch

projects-settings.png 11.4 KB 2015-03-07 Go MAEDA
